DocumentationContext (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.documentation
[Groovy] Class DocumentationContext

    java.lang.Object
      org.codehaus.groovy.grails.documentation.DocumentationContext

    class DocumentationContext
    extends java.lang.Object

Gathers information about the behavior a plugin adds at runtime.

Authors:
  Graeme Rocher

Since:
  1.2

Property Summary
`java.lang.String` | `artefactType`
`java.lang.String` | `currentDocumentation`
`java.util.List` | `methods`
`java.util.List` | `properties`
`java.util.List` | `staticMethods`

Method Summary
`DocumentationContext` | `document(java.lang.String doc)` Stores documentation for the next method or property to be added
`DocumentationContext` | `documentMethod(java.lang.String artefact, java.lang.Class type, java.lang.String name, java.lang.Class[] arguments)` Documents an instance method
`DocumentationContext` | `documentProperty(java.lang.String artefact, java.lang.Class type, java.lang.String name)` Documents a property
`DocumentationContext` | `documentStaticMethod(java.lang.String artefact, java.lang.Class type, java.lang.String name, java.lang.Class[] arguments)` Documents a static method
`static DocumentationContext` | `getInstance()`
`boolean` | `hasMetadata()`
`boolean` | `isActive()`
`void` | `reset()`
`void` | `setActive(boolean b)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### artefactType

    java.lang.String artefactType

### currentDocumentation

    java.lang.String currentDocumentation

### methods

    java.util.List methods

### properties

    java.util.List properties

### staticMethods

    java.util.List staticMethods

Method Detail

### document

    DocumentationContext document(java.lang.String doc)

  Stores documentation for the next method or property to be added

### documentMethod

    @java.lang.SuppressWarnings("rawtypes")
    DocumentationContext documentMethod(java.lang.String artefact, java.lang.Class type, java.lang.String name, java.lang.Class[] arguments)

  Documents an instance method

### documentProperty

    DocumentationContext documentProperty(java.lang.String artefact, java.lang.Class type, java.lang.String name)

  Documents a property

### documentStaticMethod

    @java.lang.SuppressWarnings("rawtypes")
    DocumentationContext documentStaticMethod(java.lang.String artefact, java.lang.Class type, java.lang.String name, java.lang.Class[] arguments)

  Documents a static method

### getInstance

    static DocumentationContext getInstance()

### hasMetadata

    boolean hasMetadata()

### isActive

    boolean isActive()

### reset

    void reset()

### setActive

    void setActive(boolean b)

Groovy Documentation